package com.qmth.boot.core.sms.config;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitScan;
import com.qmth.boot.core.solar.config.SolarProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan("com.qmth.boot.core.sms")
@RetrofitScan("com.qmth.boot.core.sms.api")
public class SmsAutoConfiguration {

    @Bean
    public SmsApiConfiguration smsApiConfiguration(SmsProperties smsProperties, SolarProperties solarProperties) {
        return new SmsApiConfiguration(smsProperties, solarProperties);
    }
}
